Subject: BOUNCE [email-masked]: Non-member submission from [Michael Mealling <[email-masked]>]

From: [email-masked]
Date: Thu, 1 Nov 2001 09:48:34 -0500 (EST)

>From owner-ietf  Thu Nov  1 09:48:29 2001
Date: Thu, 1 Nov 2001 09:41:26 -0500
From: Michael Mealling <[email-masked]>
To: Harald Alvestrand <[email-masked]>
Cc: Michael Mealling <[email-masked]>, Zefram <[email-masked]>,
        [email-masked]
Subject: Re: persistent domain names
Reply-To: Michael Mealling <[email-masked]>

On Thu, Nov 01, 2001 at 10:54:15AM +0100, Harald Alvestrand wrote:
> --On onsdag, oktober 31, 2001 09:17:34 -0500 Michael Mealling
> <[email-masked]> wrote:
> >On Tue, Oct 30, 2001 at 09:15:35PM +0000, Zefram wrote:
> >>I'm looking for discussion of the problem more than the solution at this
> >>stage; my I-D does outline a couple of possible solutions, but
> >>considering the issues that have arisen already in respect of the
> >>problem statement, solution finding will have to wait a bit.
> >
> >BTW, If you want to use OIDs in URIs there's already RFC 3061. The only
> >problem is with resolution since there is no OID database and proving
> >who has what is not a simple operation at all...
>
> there are a couple of databases, such as http://www.alvestrand.no/objectid/
>
> but they are NOT authoritative, WOEFULLY incomplete, and you are generally
> lucky if you find what you are looking for.
>
> it would be fun :-) to populate the oid.urn.arpa zone with data from here -
> but not particularly useful, I think.

Yes it would. And if it even remotely succeeds you end up with a real
OID database that other things work off of. Once the DDDS documents
are done and the {uri|urn}.arpa delegations are created we could give it
a try.

If anyone is interested in the idea contact me directly and I'll see
how much support there is and if we could actually do something...

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | urn:pin:1
[email-masked]      |                              | http://www.neonym.net